package pigbarf;

public class SubparseRuleItem extends ValueRuleItem {
   private final String input;
   private final ValueRuleItem rule;
   
   public SubparseRuleItem(String _input, ValueRuleItem _rule) {
      this.input = _input;
      this.rule = _rule;
   }

   public String getInputString() {return this.input;}
   public ValueRuleItem getRule() {return this.rule;}

   public SimpleType getType() {
      return this.rule.getType();
   }
   
   public String toString() {
      return "subparse(input=[[" + this.input + "]]; rule=" + this.rule.toString() + ")";
   }
   
   public boolean isSubparse() {return true;}
   public SubparseRuleItem getSubparseSelf() {return this;}
}
