package pigbarf;

public class ExpressionRuleItem extends ValueRuleItem {
   private final SimpleType type;
   private final String expression;

   public ExpressionRuleItem(SimpleType _type, String _expression) {
      this.type = _type;
      this.expression = _expression;
   }

   public SimpleType getType() {return this.type;}
   public String getExpressionString() {return this.expression;}

   public boolean isExpression() {return true;}
   public ExpressionRuleItem getExpressionSelf() {return this;}

   public String toString() {
      return "[:[" + this.type + "]:[" + this.expression + "]:]";
   }
}
