package pigbarf;

import java.util.*;

public class RHS {
   private final List<RuleItem> items = new ArrayList<RuleItem>();

   public RHS() {}

	public void addRuleItem(RuleItem r) {this.items.add(r);}
	public int getNumRuleItems() {return this.items.size();}
	public RuleItem getRuleItem(int i) {return this.items.get(i);}
	public void removeRuleItem(int i) {this.items.remove(i);}

   public String toString() {
      StringBuilder builder = new StringBuilder();
      for (RuleItem item : this.items) {
         builder.append(' ').append(item);
      }
      return builder.toString();
   }
}
