package pigbarf;

public class SimpleType extends Type {
	private final String type;
	
	public SimpleType(String _type) {
		this.type = _type.trim();
	}
	
	public boolean isSimple() {return true;}
	public SimpleType getSimpleSelf() {return this;}
	
	public String getType() {return this.type;}
	
	public boolean equals(Object o) {
		if (!(o instanceof Type))
			return false;
		Type t = (Type)o;
		if (!t.isSimple()) return false;
		SimpleType s = t.getSimpleSelf();
		return s.getType().equals(this.getType());
	}
	public String toString() {return this.type;}
	public int hashCode() {return this.type.hashCode();}
}
